Dependencies for darcs-2.16.1

library
darcs
  • base
  • darcs
  • if !flag(executable)
    • buildable: False

Manual Flags

NameDescriptionDefault
static

Build static binary

Disabled
threaded

Use threading and SMP support.

Enabled
executable

Build darcs executable

Enabled
rtsDisabled
warn-as-error

Build with warnings-as-errors

Disabled
Automatic Flags
NameDescriptionDefault
curl

Use libcurl for HTTP support.

Disabled
pkgconfig

Use pkgconfig to configure libcurl

Disabled
terminfo

Use the terminfo package for enhanced console support.

Enabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info